<template>
  <div class="w-[444px] h-[208px] flex justify-between">
    <div class="flex justify-center items-center" @click="arrowClick('perv')">
      <div class="btn-prev-carousel">
        <div class="play"></div>
      </div>
    </div>
    <el-carousel
      class="w-[360px] !overflow-y-hidden"
      :autoplay="true"
      :interval="4000"
      trigger="click"
      arrow="never"
      ref="arrowCard"
    >
      <el-carousel-item v-for="(match, index) in matches" :key="index">
        <sport-d-popular-match-card :match="match" />
      </el-carousel-item>
    </el-carousel>
    <div
      class="flex justify-center items-center relative"
      @click="arrowClick('next')"
    >
      <div class="btn-next-carousel">
        <div class="play"></div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, PropType } from "vue";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";

defineProps({
  matches: {
    type: Array as PropType<Array<RecommendMatch>>,
    required: false,
    default: (): Array<RecommendMatch> => [],
  },
});
const arrowCard = ref();
const arrowClick = (val: string) => {
  if (val === "next") {
    arrowCard.value.next();
  } else arrowCard.value.prev();
};
</script>

<style lang="scss">
.popular-match {
  .custom-popular-match-card-desktop {
    min-width: 1200px;
    margin: 50px 20px 10px 0px;
    align-items: center;
    justify-content: center;
    overflow: hidden;
  }
}
[layout="cool88"], [layout="bk8"] {
  .match-result {
    color: var(--text5);
    font-weight: 900;
    font-size: 40px;
    text-align: center;
    width: 86px;
    height: 38px;
  }
  .match-header {
    text-align: center;
    .match-title {
      padding-top: 10px;
    }
    .match-date {
      color: var(--primary);
      font-weight: 700;
      margin-top: 4px;
    }
  }
  .popular-match {
    .el-carousel {
      height: 184px;
      position: unset;
    }
    .el-carousel__indicators--horizontal {
      margin-bottom: -10px;
    }
  }
  .el-carousel {
    border-radius: 20px 0 20px 0;
    .el-carousel__container {
      height: 184px;
    }
  }
  .btn-next-carousel,
  .btn-prev-carousel {
    background: var(--background5);
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 3px solid var(--background1);
    bottom: 0%;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }
  .btn-next-carousel {
    .play {
      border-color: transparent transparent transparent var(--primary);
      border-width: 6px 0 6px 12px;
      margin-left: 3px;
    }
  }

  .btn-prev-carousel {
    .play {
      border-color: transparent transparent transparent var(--primary);
      border-width: 6px 0 6px 12px;
      margin-right: 3px;
      transform: rotate(180deg);
    }
  }
}
</style>
